MediaWiki:Quotes.css

From Honkai: Nexus Anima Wiki
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
:root .skin-fandomdesktop {
    --pull-quote-max-width: 80%;
    --pull-quote-text-color: var(--theme-page-text-color, rgba(0, 0, 0, .8));
    --pull-quote-mark-color: var(--theme-link-color, rgba(0, 0, 0, .8));
    --pull-quote-mark-font: "Times New Roman", serif;
    --pull-quote-hyphens: auto;
    --pull-quote-frame-color: #bbb;
}
:root .skin-fandommobile {
    --pull-quote-max-width: 100%;
    --pull-quote-text-color: var(--theme-page-text-color, rgba(0, 0, 0, .8));
    --pull-quote-mark-color: var(--theme-link-color, rgba(0, 0, 0, .8));
    --pull-quote-mark-font: "Times New Roman", serif;
    --pull-quote-hyphens: auto;
    --pull-quote-frame-color: #bbb;
}

/* #content added as a parent selector to the following in order to override default blockquote styles. */
.pull-quote__text:after,
.pull-quote__text:before {
	display: block;
}

#content .pull-quote {
    display: flex;
    flex-wrap: wrap;
    max-width: var(--pull-quote-max-width);
    margin: 1em;
    font-size: 1em;
    line-height: 1.8;
    flex-direction: column;
}

#content .pull-quote__text {
    flex-basis: 100%;
    position: relative;
    padding: 0 2em;
    hyphens: var(--pull-quote-hyphens);
    color: var(--pull-quote-text-color);
}

#content .pull-quote__text::before, #content .pull-quote__text::after {
    position: absolute;
    font-size: 3em;
    font-family: var(--pull-quote-mark-font);
    font-weight: 700;
    color: var(--pull-quote-mark-color);
}

#content .pull-quote__text::before {
    content: "“";
    top: 0;
    left: 0;
    line-height: 1;
}

#content .pull-quote__text::after {
    content: "”";
    bottom: 0;
    right: 0;
    line-height: 0.2;
}

#content .pull-quote__source {
    margin-left: auto;
}

#content .pull-quote__source::before {
    content: "—"; 
}

#content .pull-quote--right, #content .pull-quote--left {
    border: 1px solid var(--pull-quote-frame-color);
    border-left: 0;
    border-right: 0;
    padding: 1em 0;
    text-align: justify;
}

#content .pull-quote--right {
    float: right;
    margin: 1em 0 1em 2em;
}

#content .pull-quote--left {
    float: left;
    margin: 1em 2em 1em 0;
}

.mw-parser-output blockquote:before {
	display: none;
}